"{ Encoding: utf8 }"

"{ Package: 'stx:goodies/builder/quickSelfTest' }"

"{ NameSpace: Smalltalk }"

StandaloneStartup subclass:#RunUnitTestsStart
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'tests-Regression'
!

!RunUnitTestsStart class methodsFor:'documentation'!

documentation
"
    documentation to be added.

    [author:]
        sr

    [instance variables:]

    [class variables:]

    [see also:]

"
! !

!RunUnitTestsStart class methodsFor:'starting'!

main:argv
    self verboseInfo:('starting application').
    self startStartBlockProcess.

    "install a global handler, 
     which suppresses the updating of the change file"       
    Processor activeProcess exceptionHandlerSet
        on:(Class updateChangeFileQuerySignal)
        do:[:ex | ex proceedWith:false].

    "ensure that required packages are present"
    #(
        'stx:goodies/sunit'
"/        'stx:libcompat'
"/        'stx:libjavascript'
        'stx:goodies/regression'
    ) do:[:eachPackage |
        (Smalltalk loadPackage:eachPackage) ifFalse:[
            Stdout showCR:'error: missing package ', eachPackage.
            Smalltalk exit:1.
        ].
    ].

    "run the unit tests"
    RunUnitTests run.
! !

!RunUnitTestsStart class methodsFor:'documentation'!

version
    ^ '$Header$'
!

version_CVS
    ^ '$Header$'
! !

